com.google.gwt.aria.client

## Enum RelevantValue

- java.lang.Object
- - java.lang.Enum<RelevantValue>
  - - com.google.gwt.aria.client.RelevantValue

- All Implemented Interfaces:
    AriaAttributeType, java.io.Serializable, java.lang.Comparable<RelevantValue>

      public enum RelevantValue
      extends java.lang.Enum<RelevantValue>
      implements AriaAttributeType

  Property enum for 'aria-relevant' values.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ADDITIONS`
    `ALL`
    `REMOVALS`
    `TEXT`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAriaValue()`
    `static RelevantValue` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RelevantValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ADDITIONS

          public static final RelevantValue ADDITIONS

    - #### REMOVALS

          public static final RelevantValue REMOVALS

    - #### TEXT

          public static final RelevantValue TEXT

    - #### ALL

          public static final RelevantValue ALL

  - ### Method Detail

    - #### values

          public static RelevantValue[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RelevantValue c : RelevantValue.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RelevantValue valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAriaValue

          public java.lang.String getAriaValue()

      Specified by:
        `getAriaValue` in interface `AriaAttributeType`